## org.eclipse.datatools.sqltools.editor.contentassist.model
Class DBObject

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.contentassist.model.DBObject

public class DBObject
extends java.lang.Object

Represents a database object used in content assist.

Author:
  Li Huang

Field Summary
`static int` `COLUMN`
`static int` `DATABASE`
`static int` `DATATYPE`
`static int` `EVENT`
`static int` `FUNCTION`
`static int` `GLOBAL_TEMPORARY_TABLE` global temporary table type
`static int` `LOCAL_TEMPORARY_TABLE` local temporary table type
`static int` `STORED_PROCEDURE`
`static int` `SYSTABLE` system table type
`static int` `SYSTEM_FUNCTION`
`static int` `SYSTEM_STORED_PROCEDURE`
`static int` `SYSVIEW` system view type
`static int` `TABLE` standard table type
`static int` `TABLE_ALIAS`
`static int` `TRIGGER`
`static int` `VIEW` view type, value

Constructor Summary
`DBObject()`
`DBObject(java.lang.String owner, java.lang.String name, int type)`

Method Summary
`java.lang.String` `getName()`
`java.lang.String` `getOwner()`
`int` `getType()`
`void` `setName(java.lang.String name)`
`void` `setOwner(java.lang.String _owner)`
`void` `setType(int type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COLUMN

    public static final int COLUMN

See Also:
  Constant Field Values

### TABLE

    public static final int TABLE

  standard table type

  See Also:
    Constant Field Values

### VIEW

    public static final int VIEW

  view type, value

  See Also:
    Constant Field Values

### SYSTABLE

    public static final int SYSTABLE

  system table type

  See Also:
    Constant Field Values

### SYSVIEW

    public static final int SYSVIEW

  system view type

  See Also:
    Constant Field Values

### LOCAL_TEMPORARY_TABLE

    public static final int LOCAL_TEMPORARY_TABLE

  local temporary table type

  See Also:
    Constant Field Values

### GLOBAL_TEMPORARY_TABLE

    public static final int GLOBAL_TEMPORARY_TABLE

  global temporary table type

  See Also:
    Constant Field Values

### TABLE_ALIAS

    public static final int TABLE_ALIAS

See Also:
  Constant Field Values

### DATABASE

    public static final int DATABASE

See Also:
  Constant Field Values

### STORED_PROCEDURE

    public static final int STORED_PROCEDURE

See Also:
  Constant Field Values

### FUNCTION

    public static final int FUNCTION

See Also:
  Constant Field Values

### SYSTEM_STORED_PROCEDURE

    public static final int SYSTEM_STORED_PROCEDURE

See Also:
  Constant Field Values

### SYSTEM_FUNCTION

    public static final int SYSTEM_FUNCTION

See Also:
  Constant Field Values

### TRIGGER

    public static final int TRIGGER

See Also:
  Constant Field Values

### EVENT

    public static final int EVENT

See Also:
  Constant Field Values

### DATATYPE

    public static final int DATATYPE

See Also:
  Constant Field Values

Constructor Detail

### DBObject

    public DBObject(java.lang.String owner,
                    java.lang.String name,
                    int type)

### DBObject

    public DBObject()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getType

    public int getType()

### setType

    public void setType(int type)

### getOwner

    public java.lang.String getOwner()

### setOwner

    public void setOwner(java.lang.String _owner)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.